[Fai-commit] r5354 - in trunk: bin debian
Thomas Lange
lange at alioth.debian.org
Fri Apr 17 16:22:59 UTC 2009
Author: lange
Date: 2009-04-17 16:22:59 +0000 (Fri, 17 Apr 2009)
New Revision: 5354
Modified:
trunk/bin/make-fai-nfsroot
trunk/debian/changelog
Log:
check if debootstrap finished properly (closes: #524369)
Modified: trunk/bin/make-fai-nfsroot
===================================================================
--- trunk/bin/make-fai-nfsroot 2009-04-17 15:39:32 UTC (rev 5353)
+++ trunk/bin/make-fai-nfsroot 2009-04-17 16:22:59 UTC (rev 5354)
@@ -243,7 +243,19 @@
local dversion=$(dpkg -l debootstrap | awk '/debootstrap/ {print $3}')
echo "Creating base system using debootstrap version $dversion"
echo "Calling debootstrap $1 $NFSROOT $2"
- yes '' | LC_ALL=C call_verbose debootstrap $FAI_DEBOOTSTRAP_OPTS $1 $NFSROOT $2
+ LC_ALL=C call_verbose debootstrap $FAI_DEBOOTSTRAP_OPTS $1 $NFSROOT $2
+ if [ $? -ne 0 ]; then
+ echo "ERROR: debootstrap did not completed sucsessfully."
+ echo "This is mostly caused by a broken mirror."
+ echo "Please check your mirror or use an official mirror."
+ exit 10
+ fi
+
+ if [ ! -f $NFSROOT/usr/bin/apt-get ]; then
+ echo "No apt-get executable available inside the NFSROOT."
+ echo "Maybe debootstrap did not finished sucsessfully. Aborting."
+ exit 11
+ fi
}
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
add_all_host_entries() {
Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog 2009-04-17 15:39:32 UTC (rev 5353)
+++ trunk/debian/changelog 2009-04-17 16:22:59 UTC (rev 5354)
@@ -1,4 +1,4 @@
-fai (3.2.18~beta1) unstable; urgency=low
+fai (3.2.18~beta2) unstable; urgency=low
[ Thomas Lange ]
* control: add depends on net-tools for fai-client (closes: #521027)
@@ -11,6 +11,7 @@
-k now also upgrades all packages inside the nfsroot,
add -N to install_packages call, this is good for cross architecture
building the nfsroot
+ check if debootstrap finished properly (closes: #524369)
* fai-do-scripts: skip files with certain suffixes (closes: #500579),
improve test if $debug is set to 1 (closes: #496072)
call cfagent scripts with -v if fai is in debug mode
@@ -111,7 +112,7 @@
be created (i.e., it will not be preserved)
* fai-gude.sgml: add hint how to avoid this bug (closes: #265973)
- -- Thomas Lange <lange at debian.org> Fri, 17 Apr 2009 17:18:46 +0200
+ -- Thomas Lange <lange at debian.org> Fri, 17 Apr 2009 18:21:48 +0200
fai (3.2.17) unstable; urgency=medium
More information about the Fai-commit
mailing list